What version of the Cuda and tensorrt supoorted by my gpu

I have a GPU of Nvidia GeForce 940mx, Does the CUDA version of 11.8 work on my GPU, and also which version of tensorrt I use I have used version 8.6.1 but came to error while converting my onnx model to the engine model that some layers are not supported but if I use same model on latest GPU like Tesla T4 on colab it works fine and also I cant use onnxruntime GPU due to the cuda version incompatibility to How can I find best suitable version of cuda and tensorrt for my GPU